{ pkgs ? import <nixpkgs> {}, ... }:

pkgs.mkShell {
  shellHook = ''
    if [[ -f ".env" ]]; then
      echo "Found .env file, sourcing it"
      source .env
    else
      echo "No .env file found"
    fi
  '';
}
